/*
**  File: pic.h
**  Purpose:  Definitions and exports for a set of functions to read
**            (obsolete) Adage format image files.
*/
typedef struct {unsigned char r, g, b;} pic_pixel;
typedef struct {int xsize, ysize, *image;} pic;

/* Exported function */
pic *pic_open();   /* pic_open( FILE *stream ); */
/* Description:  Opens a picture file attached to stream */

void pic_read_size(); /* pic_read_size( pic *, int * xsize, int *ysize); */
/* Description:  Reads the size of a picture previously opened with pic_open */

void pic_read_line(); /* pic_read_line( pic *, int y, pic_pixel *buf ); */
/* Description:  Reads scanline y from a picture previously opened with
                 pic_open into buf
*/

void pic_close();     /* pic_close( pic * ); */
/* Description:  Frees memory for a picture file */
